#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 stack
version:              2.7.3
visibility:           public
id:                   stack-2.7.3-FPQvEN7ei6VCMbKtUKcFB3
key:                  stack-2.7.3-FPQvEN7ei6VCMbKtUKcFB3
license:              BSD-3-Clause
maintainer:           manny@fpcomplete.com
author:               Commercial Haskell SIG
homepage:             http://haskellstack.org
synopsis:             The Haskell Tool Stack
description:
    Please see the documentation at <https://docs.haskellstack.org>
    for usage information.

    If building a '\''stack'\'' executable for distribution, please download the
    source code from <https://github.com/commercialhaskell/stack/releases>
    and build it using Stack itself in order to ensure identical behaviour
    to official binaries.  This package on Hackage is provided for convenience
    and bootstrapping purposes.

    Note that the API for the library is not currently stable, and may
    change significantly, even between minor releases. It is
    currently only intended for use by the executable.

category:             Development
abi:                  13d25cc0ec40afd12248eb5dc5010b5b
exposed:              True
exposed-modules:
    Control.Concurrent.Execute Data.Attoparsec.Args
    Data.Attoparsec.Combinators Data.Attoparsec.Interpreter
    Data.Monoid.Map Network.HTTP.StackClient Options.Applicative.Args
    Options.Applicative.Builder.Extra Options.Applicative.Complicated
    Path.CheckInstall Path.Extra Path.Find Paths_stack Stack.Build
    Stack.Build.Cache Stack.Build.ConstructPlan Stack.Build.Execute
    Stack.Build.Haddock Stack.Build.Installed Stack.Build.Source
    Stack.Build.Target Stack.BuildPlan Stack.Clean Stack.Config
    Stack.Config.Build Stack.Config.Docker Stack.Config.Nix
    Stack.ConfigCmd Stack.Constants Stack.Constants.Config
    Stack.Coverage Stack.DefaultColorWhen Stack.Docker Stack.Dot
    Stack.FileWatch Stack.GhcPkg Stack.Ghci Stack.Ghci.Script
    Stack.Hoogle Stack.IDE Stack.Init Stack.List Stack.Lock Stack.Ls
    Stack.New Stack.Nix Stack.Options.BenchParser
    Stack.Options.BuildMonoidParser Stack.Options.BuildParser
    Stack.Options.CleanParser Stack.Options.Completion
    Stack.Options.ConfigParser Stack.Options.DockerParser
    Stack.Options.DotParser Stack.Options.ExecParser
    Stack.Options.GhcBuildParser Stack.Options.GhcVariantParser
    Stack.Options.GhciParser Stack.Options.GlobalParser
    Stack.Options.HaddockParser Stack.Options.HpcReportParser
    Stack.Options.LogLevelParser Stack.Options.NewParser
    Stack.Options.NixParser Stack.Options.PackageParser
    Stack.Options.ResolverParser Stack.Options.SDistParser
    Stack.Options.ScriptParser Stack.Options.TestParser
    Stack.Options.UploadParser Stack.Options.Utils Stack.Package
    Stack.PackageDump Stack.Path Stack.Prelude Stack.Runners
    Stack.SDist Stack.Script Stack.Setup Stack.Setup.Installed
    Stack.SetupCmd Stack.SourceMap Stack.Storage.Project
    Stack.Storage.User Stack.Storage.Util Stack.Types.Build
    Stack.Types.Compiler Stack.Types.CompilerBuild Stack.Types.Config
    Stack.Types.Config.Build Stack.Types.Docker Stack.Types.GhcPkgId
    Stack.Types.NamedComponent Stack.Types.Nix Stack.Types.Package
    Stack.Types.PackageName Stack.Types.Resolver Stack.Types.SourceMap
    Stack.Types.TemplateName Stack.Types.Version
    Stack.Types.VersionIntervals Stack.Unpack Stack.Upgrade
    Stack.Upload System.Info.ShortPathName System.Permissions
    System.Process.Pager System.Terminal

hidden-modules:       Path.Extended Stack.Types.Cache System.Uname
import-dirs:          /usr/lib/ghc-9.0.1/site-local/stack-2.7.3
library-dirs:         /usr/lib/ghc-9.0.1/site-local/stack-2.7.3
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.1/stack-2.7.3
hs-libraries:         HSstack-2.7.3-FPQvEN7ei6VCMbKtUKcFB3
depends:
    Cabal-3.4.0.0 aeson-1.5.6.0-6DdSUx8dbuIIjP00Zg5a6S
    annotated-wl-pprint-0.7.0-70TwcJulbP410FZMDCXWmO
    ansi-terminal-0.11-Kvq5JBN7BE16HA1JfrRBzw array-0.5.4.0
    async-2.2.3-IdiNIvUG6Je7aMAPJeWE0D
    attoparsec-0.14.1-2NPvvgp5QbjKeCRmapAgpC base-4.15.0.0
    base64-bytestring-1.2.1.0-BH3if0BufO51UJ74fSwj5E
    bytestring-0.10.12.1 casa-client-0.0.1-3spLnEYi5rDq5mz4uoxTb
    casa-types-0.0.2-4EpLNzoMyfdFcoXJpELeJe
    colour-2.3.6-A2WfTrEvP6L95Bkq22KRLt
    conduit-1.3.4.2-AchFtERdZ63E4BSigaitpI
    conduit-extra-1.3.5-IgmaX557TTAKniYRnNEHGm containers-0.6.4.1
    cryptonite-0.29-19SjDRwWNox27CMfesQpq4
    cryptonite-conduit-0.2.2-8oA3ogBB9bA8OqaWRLJT9A deepseq-1.4.5.0
    directory-1.3.6.1 echo-0.1.4-9WkOqrcNnDn8K5KbomRoSw
    exceptions-0.10.4 extra-1.7.10-32H3SA4Yf8dI1sU3NgBQjm
    file-embed-0.0.14.0-DpVDNlFaM0M9fTuZiTfuRf
    filelock-0.1.1.5-AZwytKUKxdvE6RRfb4U6Fn filepath-1.4.2.1
    fsnotify-0.3.0.1-9yl8HqyOB2T5Knipz6vrrZ
    generic-deriving-1.14.1-CPxOmD4Ex1sDw7KSFVjbwS
    hackage-security-0.6.0.1-HaSG2iBtCVwpqXTJU8qds
    hashable-1.3.4.0-6dnecuFViZBGFpHQwXe7GH
    hi-file-parser-0.1.2.0-HZqQFAe2sEt8m0O4PB5o9u
    hpack-0.34.4-GKbSVoIiCAPA83M0EpdqqH hpc-0.6.1.0
    http-client-0.7.9-FqmYjByM3mW7WXdqjAmvxU
    http-client-tls-0.3.5.3-E3YrvnwOLk7FnDgjHH7fkr
    http-conduit-2.3.8-GYf4wdRoGfKCuKUIqFJh3C
    http-download-0.2.0.0-EM7pLH6YGCGG7CWfC3S9dS
    http-types-0.12.3-5xSWCbzPZMJ3FKkHNvWW2m
    memory-0.16.0-CGaPOmXCTce28vOCDDnDFr
    microlens-0.4.12.0-IoK2ncpVKVzEwRUasmz5D3
    mintty-0.1.2-5b08LLwS4rI2XuvUvOFfBx
    mono-traversable-1.0.15.3-LDlKSXBYRetC3hLm8XD3yj mtl-2.2.2
    mustache-2.3.1-JC5gdaACGAY3yag2oWBTQF
    neat-interpolation-0.5.1.2-5GhiYsDrNznAEzvePSWlqz
    network-uri-2.6.4.1-32se5oU1b9O36LNwPHSlHj
    open-browser-0.2.1.0-CCCAftezS4EInxcC0BPvzu
    optparse-applicative-0.16.1.0-2gAu0ltAuRsE34mFhrRUQs
    pantry-0.5.2.3-Ja5TvmJ22JvjTdAXczGIq
    path-0.9.0-KlErcdLxdAb79e5Vz5xrEY
    path-io-1.6.3-Hk8bcBGIaNX6COxJvi340N
    persistent-2.13.1.2-EmR9JXxoN8NHRt4RYgE77F
    persistent-sqlite-2.13.0.3-49JGaEW4I4eK9qi6juT4re pretty-1.1.3.6
    primitive-0.7.2.0-LNBP19Yyt8R6V7t6f1oEAz process-1.6.11.0
    project-template-0.2.1.0-HUjxMT9EY5050vUbQF5WRj
    regex-applicative-text-0.1.0.1-KMSeHKL0jGOBXrfhyeY1ZE
    retry-0.9.0.0-8DwWynV2fIr3oSO2pTuqHO
    rio-0.1.21.0-G7q85osIkX59Zd1oH49e7n
    rio-prettyprint-0.1.1.0-L5pnd5mqzLd8c3ush7VHDS
    split-0.2.3.4-DqRCEXcI8QnJvOh9Kk2yn3 stm-2.5.0.0
    streaming-commons-0.2.2.1-J0b2xLnjHOmKRGcD092H6U
    tar-0.5.1.1-BzVqEZzpHBUFgCVWyf88xe template-haskell-2.17.0.0
    temporary-1.3-1fpZ6Xm8biD79YIGypkFzm text-1.2.4.1
    text-metrics-0.3.1-4pqSjF7qAQp4mhypXiSpua
    th-reify-many-0.1.10-3ITM56qIweE1m1sRUTAqJ9 time-1.9.3
    tls-1.5.5-BuJvr5NicsEGoNNqYBzvLY transformers-0.5.6.2
    typed-process-0.2.7.0-4RRJBNtsnGh72wEOq7QuFH
    unicode-transforms-0.3.8-G0wFl5bm1BD6SPaKOpG8TG unix-2.7.2.2
    unix-compat-0.5.3-CsWJk3UHZrh7lbWn5tdOhn
    unliftio-0.2.20-3mGFrmsbPJ1E5EBhNtXPag
    unordered-containers-0.2.14.0-FVdmWuNRiZiBPBGw5WvZRu
    vector-0.12.3.1-41pb7QyPIvSGm54QlMLBN3
    yaml-0.11.7.0-ELLRQJizuQ2JHzBO2jWxZf
    zip-archive-0.4.1-27HIVECCHvrDq1cTXCr91Y
    zlib-0.6.2.3-E9uJMwS6YgyGpbwvTurPgU

haddock-interfaces:   /usr/share/doc/stack/html/stack.haddock
haddock-html:         /usr/share/doc/stack/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

